DROP TABLE IF EXISTS `posts`;
CREATE TABLE `posts` (
	`id` int(11) NOT NULL auto_increment,
	`time` int(11) NOT NULL,
	`author` int(11) NOT NULL,
	`banned` enum('y','n') NOT NULL default 'n',
	`text` tinytext NOT NULL,
	PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `settings`;
CREATE TABLE `settings` (
	`item` tinytext NOT NULL,
	`value` tinytext NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

INSERT INTO `settings` VALUES ('sitename', 'Мини-чат');
INSERT INTO `settings` VALUES ('all_post', '700');
INSERT INTO `settings` VALUES ('auto_refresh', '20');
INSERT INTO `settings` VALUES ('onpage', '7');
INSERT INTO `settings` VALUES ('online', '60');

DROP TABLE IF EXISTS `users`;
CREATE TABLE `users` (
	`id` int(10) unsigned NOT NULL auto_increment,
	`login` varchar(22) NOT NULL,
	`passwd` varchar(40) NOT NULL,
	`mail` tinytext NOT NULL,
	`regdate` int(11) NOT NULL,
	`lastdate` int(11) NOT NULL,
	`ontime` int(11) NOT NULL,
	`banned` enum('y','n') NOT NULL default 'n',
	`ban_point` int(11) NOT NULL,
	`ban_term` int(11) NOT NULL,
	`access` enum('a','m','u') NOT NULL default 'u',
	`rname` varchar(30) NOT NULL,
	`from` tinytext NOT NULL,
	`birth` varchar(10) NOT NULL,
	`sex` enum('m','f') NOT NULL,
	`ints` tinytext NOT NULL,
	`site` tinytext NOT NULL,
	`onpage` smallint(2) default '7',
	`auto_refresh` smallint(2) NOT NULL default '20',
	PRIMARY KEY  (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8